Create mandate for customer
curl --request POST \
--url https://rcur.app/api/v2/customers/{customerId}/mandates \
--header 'Content-Type: application/json' \
--data '
{
"consumer_name": "John Doe",
"consumer_account": "NL55INGB0000000000",
"custom_mandate_reference": "MY-REF-001"
}
'import requests
url = "https://rcur.app/api/v2/customers/{customerId}/mandates"
payload = {
"consumer_name": "John Doe",
"consumer_account": "NL55INGB0000000000",
"custom_mandate_reference": "MY-REF-001"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
consumer_name: 'John Doe',
consumer_account: 'NL55INGB0000000000',
custom_mandate_reference: 'MY-REF-001'
})
};
fetch('https://rcur.app/api/v2/customers/{customerId}/mandates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mdt_abc123",
"method": "directdebit",
"status": "valid",
"details": {
"consumer_name": "John Doe",
"consumer_account": "NL55INGB0000000000",
"consumer_bic": "INGBNL2A",
"card_holder": "J. Doe",
"card_number": "6787",
"card_expiry_date": "2028-12-31",
"card_label": "Mastercard",
"card_fingerprint": "Fh94dX2V"
},
"custom_mandate_reference": "MY-REF-001",
"signature_date": "2025-01-15"
}{
"status": 404,
"error": "Resource not found"
}{
"status": 422,
"error": "Could not process request. Some fields contain invalid data",
"fields": {
"email": [
"The email field is required."
]
}
}Mandates
Create mandate for customer
POST
/
api
/
v2
/
customers
/
{customerId}
/
mandates
Create mandate for customer
Path Parameters
Body
application/json
Mandate data
Response
Mandate details
Example:
"mdt_abc123"
Available options:
directdebit, creditcard Example:
"directdebit"
Available options:
valid, invalid, pending Example:
"valid"
Show child attributes
Show child attributes
Example:
"MY-REF-001"
Example:
"2025-01-15"
⌘I